%define upstream_name Reindeer
%define upstream_version 0.018

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Moose with more antlers
License:	LGPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/R/RS/RSRCHBOY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Import::Into)
BuildRequires:	perl(Moose::Autobox)
BuildRequires:	perl(Moose::Util)
BuildRequires:	perl(MooseX::AbstractMethod)
BuildRequires:	perl(MooseX::AlwaysCoerce)
BuildRequires:	perl(MooseX::AttributeShortcuts)
BuildRequires:	perl(MooseX::CurriedDelegation)
BuildRequires:	perl(MooseX::LazyRequire)
BuildRequires:	perl(MooseX::MarkAsMethods)
BuildRequires:	perl(MooseX::NewDefaults)
BuildRequires:	perl(MooseX::Params::Validate)
BuildRequires:	perl(MooseX::StrictConstructor)
BuildRequires:	perl(MooseX::Traitor)
BuildRequires:	perl(MooseX::Types::LoadableClass)
BuildRequires:	perl(MooseX::Types::Path::Class)
BuildRequires:	perl(MooseX::Types::Tied::Hash::IxHash)
BuildRequires:	perl(ok)
BuildRequires:	perl(Test::CheckDeps)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::Moose::More)
BuildRequires:	perl(Test::Requires)

BuildArch:	noarch

%description
Like Moose? Use MooseX::* extensions? Maybe some MooseX::Types
libraries? Hate that you have to use them in every. Single. Class.

Reindeer aims to resolve that :) Reindeer _is_ Moose -- it's just Moose
with a number of the more useful/popular extensions already applied.
Reindeer is a drop-in replacement for your "use Moose" line, that
behaves in the exact same way... Just with more pointy antlers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.18.0-4.mga6
+ Revision: 1032843
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.18.0-3.mga6
+ Revision: 971510
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.18.0-2.mga6
+ Revision: 891799
- BR perl(Moose::Autobox)

* Sun Jun 28 2015 sander85 <sander85> 0.18.0-1.mga6
+ Revision: 846525
- update to 0.018

* Wed Oct 15 2014 umeabot <umeabot> 0.17.0-3.mga5
+ Revision: 745465
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.17.0-1.mga5
+ Revision: 619524
- imported package perl-Reindeer

